import { Observable } from 'rxjs';
import { Message } from '../core/type';

export interface ClientRWC {
  connect(queryString?: string): void;
  disconnect(): void;
  connectionStatus(): Observable<boolean>;

  read(): Observable<Message>;
  write(data: Message): void;
}
