import { ClientNotificationCodec } from '../client_codec';

export interface ClientNotification {
  method: string;
  params?: string[];
}

export class JSONClientNotificationCodec implements ClientNotificationCodec {
  public constructor(private noti: ClientNotification) {
  }

  public method(): string {
    return this.noti.method;
  }
  public params(): string[] | undefined {
    return this.noti.params;
  }
}
